		local f = CreateFrame("Frame")
		f:RegisterEvent("PLAYER_LOGIN")
		f:SetScript("OnEvent", function()	
			-- Creation of the options menu
			
			creelui.panel = CreateFrame( "Frame", "creeluiPanel", UIParent)
			creelui.panel.name = "creelui Texture Pack";
			InterfaceOptions_AddCategory(creelui.panel);
			creelui.childpanel = CreateFrame( "Frame", "creeluiChild", creelui.panel)
			creelui.childpanel:SetPoint("TOPLEFT",creeluiPanel,0,0)
			creelui.childpanel:SetPoint("BOTTOMRIGHT",creeluiPanel,0,0)
			InterfaceOptions_AddCategory(creelui.childpanel)
			local version = GetAddOnMetadata("creelui", "Version")
			local fontstring = creelui.childpanel:CreateFontString()
			fontstring:SetFont("Fonts\\FRIZQT__.TTF", 14,"OUTLINE")
			fontstring:SetText("creelui Texture Pack Settings (Version "..version..")")
			fontstring:SetPoint("TOPLEFT",6,-10)
			fontstring:SetTextColor(unpack(creelui.Color))
			
			local fontstring2 = creelui.childpanel:CreateFontString()
			fontstring2:SetFont("Fonts\\FRIZQT__.TTF", 12,"OUTLINE")
			fontstring2:SetText("+ Color Settings + (reload required)")
			fontstring2:SetPoint("TOPLEFT",6,-26)
			
			-- color choosing
			
			local blue = CreateFrame("Button","Blue",creelui.childpanel,"UIPanelButtonTemplate")
			blue:SetPoint("TOPLEFT",6,-42)
			blue:SetSize(100,22)
			blue:SetText("Blue")
			if creeluiDB.blue == true then
				blue:Disable()
			end

			local grey = CreateFrame("Button","Grey",blue,"UIPanelButtonTemplate")
			grey:SetPoint("CENTER",0,-20)
			grey:SetSize(100,22)
			grey:SetText("Grey")
			if creeluiDB.grey == true then
				grey:Disable()
			end

			local green = CreateFrame("Button","Green",grey,"UIPanelButtonTemplate")
			green:SetPoint("CENTER",0,-20)
			green:SetSize(100,22)
			green:SetText("Green")
			if creeluiDB.green == true then
				green:Disable()
			end

			blue:SetScript("OnClick", function()
				creeluiDB.green = false
				creeluiDB.grey = true
				creeluiDB.blue = false
				blue:Disable()
				grey:Enable()
				green:Enable()
			end)			
			blue:SetScript("OnEnter", function()			
				GameTooltip:SetOwner(blue,"ANCHOR_TOP");
				GameTooltip:AddLine("Activate blue color scheme.")
				GameTooltip:Show()
			end)
			
			blue:SetScript("OnLeave", function()
				GameTooltip:Hide()
			end)
			
			grey:SetScript("OnClick", function()
				creeluiDB.green = false
				creeluiDB.grey = true
				creeluiDB.blue = false
				blue:Enable()
				grey:Disable()
				green:Enable()
			end)		
			grey:SetScript("OnEnter", function()			
				GameTooltip:SetOwner(grey,"ANCHOR_TOP");
				GameTooltip:AddLine("Activate grey colors scheme.")
				GameTooltip:Show()
			end)
			
			grey:SetScript("OnLeave", function()
				GameTooltip:Hide()
			end)
			
			green:SetScript("OnClick", function()
				creeluiDB.green = true
				creeluiDB.grey = false
				creeluiDB.blue = false
				blue:Enable()
				grey:Enable()
				green:Disable()
			end)	
			green:SetScript("OnEnter", function()			
				GameTooltip:SetOwner(green,"ANCHOR_TOP");
				GameTooltip:AddLine("Activate green color scheme.")
				GameTooltip:Show()
			end)
			
			green:SetScript("OnLeave", function()
				GameTooltip:Hide()
			end)
			
			-- Misc Settings
			
			local fontstring3 = creelui.childpanel:CreateFontString()
			fontstring3:SetFont("Fonts\\FRIZQT__.TTF", 12,"OUTLINE")
			fontstring3:SetText("+ Misc Settings + (reload required)")
			fontstring3:SetPoint("LEFT",green,0,-20)
			
			--cpu saver
			
			local save = CreateFrame("CheckButton", "save", green, "UICheckButtonTemplate")
			save:SetPoint("LEFT", -3, -40)
			save.text:SetText("CPU Saver")
			m_fontify(save.text,"white")
			if creeluiDB.savemode== true then
				save:SetChecked(true)
			end	
			save:SetScript("OnClick", function()
				if save:GetChecked() then
					creeluiDB.savemode = true
				else
					creeluiDB.savemode = false
				end
			end)
			
			local bonus = CreateFrame("CheckButton", "bonus", save, "UICheckButtonTemplate")
			bonus:SetPoint("CENTER",0, -20)
			bonus.text:SetText("Skin lootroll frames")
			m_fontify(bonus.text,"white")
			if creeluiDB.rolls == true then
				bonus:SetChecked(true)
			end
			bonus:SetScript("OnClick", function()
				if bonus:GetChecked() then
					creeluiDB.rolls = true
				else
					creeluiDB.rolls = false
				end
			end)		
			
			
			if creeluiDB.alerpos.enable == true then
				AlertFrame:ClearAllPoints()
				AlertFrame:SetPoint("CENTER","UIParent",creeluiDB.alerpos.x,creeluiDB.alerpos.y)
			end
		
			local dummyalert = CreateFrame("FRAME","dummyalert",UIParent)
			dummyalert:SetSize(512,64)
			dummyalert:SetFrameStrata("DIALOG")
			dummyalert:SetPoint("CENTER","UIParent",creeluiDB.alerpos.x,creeluiDB.alerpos.y+51)
			dummyalert:SetBackdrop({
			bgFile = "Interface\\Achievementframe\\creelui_ach.tga",
			})
			dummyalert:Hide()
				
			local alertpos = CreateFrame("CheckButton", "alertpos",bonus,"UICheckButtonTemplate")
			alertpos:SetPoint("CENTER",0,-20)
			alertpos.text:SetText("Move alertframes")
			m_fontify(alertpos.text,"white")
			if creeluiDB.alerpos.enable == true then
				alertpos:SetChecked(true)
			end
			alertpos:SetScript("OnClick", function()
				if alertpos:GetChecked() then
					creeluiDB.alerpos.enable = true
					alert_x:Show()
				else
					alert_x:Hide()
					creeluiDB.alerpos.enable =false
				end
			end)
		
			local alert_x = CreateFrame("EditBox", "alert_x", alertpos, "InputBoxTemplate");
			alert_x:SetAutoFocus(false)
			alert_x:SetPoint("LEFT", 144,0);
			alert_x:SetSize(40,20)
			alert_x:SetNumber(creeluiDB.alerpos.x)
			alert_x:SetCursorPosition(0)
			alert_x:SetScript("OnEditFocusLost",function()
				alert_x:ClearFocus()
				creeluiDB.alerpos.x = alert_x:GetNumber()	
				dummyalert:ClearAllPoints()
				dummyalert:SetPoint("CENTER","UIParent",creeluiDB.alerpos.x,creeluiDB.alerpos.y+51)

			end)
			
			alert_x:SetScript("OnEnterPressed",function()
				alert_x:ClearFocus()
				creeluiDB.alerpos.x = alert_x:GetNumber()	
				dummyalert:ClearAllPoints()
				dummyalert:SetPoint("CENTER","UIParent",creeluiDB.alerpos.x,creeluiDB["alerpos"].y+51)
			end)
			if creeluiDB.alerpos.enable == true then
				alert_x:Show()
			else
				alert_x:Hide()
			end
			
			local alert_y = CreateFrame("EditBox", "alert_y", alert_x, "InputBoxTemplate");
			alert_y:SetAutoFocus(false)
			alert_y:SetPoint("LEFT", 46,0);
			alert_y:SetSize(40,20)
			alert_y:SetNumber(creeluiDB.alerpos.y)
			alert_y:SetCursorPosition(0)
			alert_y:SetScript("OnEditFocusLost",function()
				alert_y:ClearFocus()
				creeluiDB.alerpos.y = alert_y:GetNumber()	
				dummyalert:ClearAllPoints()
				dummyalert:SetPoint("CENTER","UIParent",creeluiDB.alerpos.x,creeluiDB.alerpos.y+51)

			end)
			alert_y:SetScript("OnEnterPressed",function()
				alert_y:ClearFocus()
				creeluiDB.alerpos.y = alert_y:GetNumber()	
				dummyalert:ClearAllPoints()
				dummyalert:SetPoint("CENTER","UIParent",creeluiDB.alerpos.x,creeluiDB.alerpos.y+51)

			end)
					
			local dummyalerpos = CreateFrame("Button","dummyalerpos",alert_y,"UIPanelButtonTemplate")
			dummyalerpos:SetPoint("LEFT",46,0)
			dummyalerpos:SetSize(100,22)
			dummyalerpos:SetText("Show Dummy")
			dummyalerpos:SetScript("OnClick", function()		
				if dummyalert:IsShown() then
					dummyalert:Hide()
				else
					dummyalert:Show()
				end
			end)		
			
			local skinminimap = CreateFrame("CheckButton", "skinminimap",alertpos,"UICheckButtonTemplate")
			skinminimap:SetPoint("CENTER",0,-20)
			skinminimap.text:SetText("Skin minimap (relogg required)")
			m_fontify(skinminimap.text,"white")
			if creeluiDB.skinminimap == true then
				skinminimap:SetChecked(true)
			end
			skinminimap:SetScript("OnClick", function()
				if skinminimap:GetChecked() then
					creeluiDB.skinminimap = true
				else
					creeluiDB.skinminimap = false
				end
			end)
			
			local cbar = CreateFrame("CheckButton", "cbar", skinminimap, "UICheckButtonTemplate")
			cbar:SetPoint("CENTER",0, -20)
			cbar.text:SetText("Hide orderhall command bar")
			m_fontify(cbar.text,"white")
			if creeluiDB.cbar == true then
				cbar:SetChecked(true)
			end
			cbar:SetScript("OnClick", function()
				if cbar:GetChecked() then
					creeluiDB.cbar = true	
					if OrderHallCommandBar then
						OrderHallCommandBar:SetAlpha(0)
					end
				else
					if OrderHallCommandBar then
						OrderHallCommandBar:SetAlpha(1)
					end
					creeluiDB.cbar = false	
				end
			end)		

			
			local reload = CreateFrame("Button","reload",green,"UIPanelButtonTemplate")
			reload:SetPoint("CENTER",0,-140)
			reload:SetSize(100,22)
			reload:SetText("Reload")
			reload:SetScript("OnClick", function()
				ReloadUI()
			end)
	
			local fontstring5 = creelui.childpanel:CreateFontString()
			fontstring5:SetFont("Fonts\\FRIZQT__.TTF", 14,"OUTLINE")
			fontstring5:SetTextColor(unpack(creelui.Color))
			fontstring5:SetText("Frequently asked questions")
			fontstring5:SetPoint("LEFT",green,0,-160)
			
			local fontstring6 = creelui.childpanel:CreateFontString()
			fontstring6:SetFont("Fonts\\FRIZQT__.TTF", 12,"OUTLINE")
			fontstring6:SetText("+ What is this CPU Saver ?")
			fontstring6:SetPoint("LEFT",green,0,-180)
			
			local fontstring7 = creelui.childpanel:CreateFontString()
			fontstring7:SetFont("Fonts\\FRIZQT__.TTF", 12,"OUTLINE")
			fontstring7:SetText("CPU Saver disables all font-outlines. This should allow a better performance on old machines.")
			fontstring7:SetPoint("LEFT",green,0,-200)
			
			local fontstring8 = creelui.childpanel:CreateFontString()
			fontstring8:SetFont("Fonts\\FRIZQT__.TTF", 12,"OUTLINE")
			fontstring8:SetText("+ Why is there a button for green color but no green texture pack ?")
			fontstring8:SetPoint("LEFT",green,0,-220)
			
			local fontstring9 = creelui.childpanel:CreateFontString()
			fontstring9:SetFont("Fonts\\FRIZQT__.TTF", 12,"OUTLINE")
			fontstring9:SetText("Some people might have a green version... :o")
			fontstring9:SetPoint("LEFT",green,0,-240)
			
			-- SLASH  Command
		
			SLASH_creelui1 = "/creelui"

			SlashCmdList["creelui"] = function()
				InterfaceOptionsFrame_OpenToCategory(creeluiPanel)	
				InterfaceOptionsFrame_OpenToCategory(creeluiPanel)
			end
			
			
			
		end) 