--[[ Scaling ]]
PlayerFrame:SetScale("1")
TargetFrame:SetScale("1")
CastingBarFrame:SetScale("1.4")

for i = 1, 4 do
        _G["PartyMemberFrame"..i]:SetScale("1.2")
end
Boss1TargetFrame:SetScale("1.1")
Boss2TargetFrame:SetScale("1.1")
Boss3TargetFrame:SetScale("1.1")
TargetFrameSpellBar:SetScale("1.8")
FocusFrameSpellBar:SetScale("1.4")
ComboFrame:SetScale("1.0")
PetFrame:SetScale("1.0")
PetName:Hide()


--[[ Setpoints ]]
PetFrame:ClearAllPoints() 
PetFrame:SetPoint("BOTTOMLEFT",PlayerFrame,"BOTTOMLEFT" ,-20,-18) 

PartyMemberFrame1:ClearAllPoints()
PartyMemberFrame1:SetPoint("TOPLEFT", 155, -300)

--[[ PvP Icon ]]
PlayerPVPIcon:Hide()
TargetFrameTextureFramePVPIcon:Hide()
FocusFrameTextureFramePVPIcon:Hide()
for i = 1, MAX_PARTY_MEMBERS do
_G["PartyMemberFrame"..i.."PVPIcon"]:Hide()
_G["PartyMemberFrame"..i.."HealthBarText"]:Hide()
_G["PartyMemberFrame"..i.."ManaBarText"]:Hide()
end

--[[ Disable healing spam floating combat text ]]
LoadAddOn("Blizzard_CombatText")

COMBAT_TEXT_TYPE_INFO["PERIODIC_HEAL"] = {var = nil, show = nil}
COMBAT_TEXT_TYPE_INFO["HEAL_CRIT"] = {var = nil, show = nil}
COMBAT_TEXT_TYPE_INFO["HEAL"] = {var = nil, show = nil}
COMBAT_TEXT_TYPE_INFO["PERIODIC_HEAL_ABSORB"] = {var = nil, show = nil}
COMBAT_TEXT_TYPE_INFO["HEAL_CRIT_ABSORB"] = {var = nil, show = nil}
COMBAT_TEXT_TYPE_INFO["HEAL_ABSORB"] = {var = nil, show = nil}

--[[ Garrison Minimapbutton ]]
--GarrisonLandingPageMinimapButton:UnregisterAllEvents()

--[[ Auto sell crap - stolen from tekJunkSeller ]]
local function OnEvent()
	for bag=0,4 do
		for slot=0,GetContainerNumSlots(bag) do
			local link = GetContainerItemLink(bag, slot)
			if link and select(3, GetItemInfo(link)) == 0 then
				ShowMerchantSellCursor(1)
				UseContainerItem(bag, slot)
			end
		end
	end
end

local f = CreateFrame("Frame")
f:RegisterEvent("MERCHANT_SHOW")
f:SetScript("OnEvent", OnEvent)

if MerchantFrame:IsVisible() then OnEvent() end

--[[ iRepair -- VARIABLES CAN BE CHANGED AS YOU WANT ]]--
local 	iRepair_Chatter 	= true
local 	iRepair_GRF		= true
local 	iRepair_ROGR		= false

--[[ AUTO REPAIR SERVICES ]]--
local iRepair = CreateFrame("Frame", "iRepair")
	iRepair:RegisterEvent("MERCHANT_SHOW")
	iRepair:SetScript("OnEvent", function()
	local cost = GetRepairAllCost()
	local function iRepair_Guild()
		if iRepair_Chatter then
			print(" Guild Bank Auto Repair for: ".. GetCoinTextureString(cost) )
		end
		RepairAllItems(1)
	end
	local function iRepair_Self()
		if iRepair_Chatter then
			print(" Auto Repair Service You payed: ".. GetCoinTextureString(cost) )
		end
		RepairAllItems()
	end
	if IsModifierKeyDown() then
		return
	elseif CanMerchantRepair() and cost ~= 0 then
		if iRepair_GRF and CanGuildBankRepair() and cost <= GetGuildBankMoney() and (cost <= GetGuildBankWithdrawMoney() or GetGuildBankWithdrawMoney() == -1) then
			if iRepair_ROGR and GetNumRaidMembers() ~= 0 then
				iRepair_Guild()
			elseif not iRepair_ROGR then
				iRepair_Guild()
			elseif cost <= GetMoney() then
				iRepair_Self()
			else
				print(" Not enough Guild Funds to Auto Repair, Please Try Manually.")
			end
		elseif cost <= GetMoney() then
			iRepair_Self()
		else
			print(" Darn you don't have enough cash to Auto Repair. You need "..GetCoinTextureString(cost).." total to repair." )
		end
	end
end)

--[[ Make the Quest-tracker moveable ]]

local otf = ObjectiveTrackerFrame
local otfheight = 450
local otfwidth = 188
   
otf:SetClampedToScreen(true)
otf:ClearAllPoints()
otf.ClearAllPoints = function() end
otf:SetPoint("TOPRIGHT", MinimapCluster, "BOTTOM", 45, -5) 
otf.SetPoint = function() end
otf:SetMovable(true)
otf:SetUserPlaced(true)
otf:SetHeight(otfheight)
otf:SetWidth(otfwidth)
    
local otfmove = CreateFrame("FRAME", nil, otf)  
otfmove:SetHeight(16)
otfmove:SetPoint("TOPLEFT", otf, 110, 0)
otfmove:SetPoint("TOPRIGHT", otf)
otfmove:EnableMouse(true)
otfmove:RegisterForDrag("LeftButton")
otfmove:SetHitRectInsets(-5, -5, -5, -5)
    
local function OTFM_Tooltip(self)
    GameTooltip:SetOwner(self, "ANCHOR_TOP")
    GameTooltip:AddLine(" Shift + drag to move", 0, 1, .5)
    GameTooltip:Show()
end
    
otfmove:SetScript("OnDragStart", function(self, button)
 	if IsModifiedClick() and button=="LeftButton" then
    	local f = self:GetParent()
    	f:StartMoving()
       end
  end)
    
otfmove:SetScript("OnDragStop", function(self, button)
    local f = self:GetParent()
    f:StopMovingOrSizing()
end)
    
otfmove:SetScript("OnEnter", function(s)
    OTFM_Tooltip(s)
end)
    
otfmove:SetScript("OnLeave", function(s)
    GameTooltip:Hide()
end)

--[[ Some slash commands ]]
SlashCmdList["FRAME"] = function() print(GetMouseFocus():GetName()) end
SLASH_FRAME1 = "/frame"

SlashCmdList["GETPARENT"] = function() print(GetMouseFocus():GetParent():GetName()) end
SLASH_GETPARENT1 = "/gp"
SLASH_GETPARENT2 = "/parent"

SlashCmdList["RELOADUI"] = function() ReloadUI() end
SLASH_RELOADUI1 = "/rl"

SlashCmdList["RCSLASH"] = function() DoReadyCheck() end
SLASH_RCSLASH1 = "/rc"

SlashCmdList["TICKET"] = function() ToggleHelpFrame() end
SLASH_TICKET1 = "/gm"

